Bug 134717 - [PATCH] idefloppy suppress media not present errors
[PATCH] idefloppy suppress media not present errors
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-10-05 14:15 EDT by Matt Domsch
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 19:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.9-rc3-idefloppy-medium-not-present.patch (1.92 KB, patch)
2004-10-05 14:16 EDT, Matt Domsch
no flags Details | Diff

  None (edit)
Description Matt Domsch 2004-10-05 14:15:01 EDT
Description of problem:
Patch submitted to kernel.org on 05-Oct-2004 for review and inclusion.

Date: Tue, 5 Oct 2004 13:13:39 -0500
From: Matt Domsch <Matt_Domsch@dell.com>
To: Paul Bristow <paul@paulbristow.net>, 
B.Zolnierkiewicz@elka.pw.edu.pl,
        alan@redhat.com
Cc: linux-ide@vger.kernel.org, linux-kernel@vger.kernel.org
Subject: [PATCH] idefloppy suppress media not present errors

Paul, Bartlomiej, Alan:

Below is a patch to suppress printing uninformative errors from
ide-floppy.c in response to commands to floppy drives in which no
media is present.

Without this patch, commands sent to ide-floppy devices without media
inserted cause error messages on the console (KERN_ERR level) such as:

ide-floppy: ide: I/O error, pc = 0 key = 2, asc = 3a asq = 0
ide-floppy: ide: I/O error, pc = 1b key = 2, asc = 3a asq = 0
ide-floppy: ide: I/O error, pc = 23 key = 2, asc = 3a asq = 0
ide-floppy: ide: I/O error, pc = 1e key = 2, asc = 3a asq = 0
ide-floppy: ide: I/O error, pc = 1e key = 2, asc = 3a asq = 0

Dell's Virtual Floppy (system management presents to the local system
an IDE floppy device, which is actually a floppy device in a remote
system connected over an IP link) exhibits this also, when connecting
to a remote floppy drive with no media present.

Please review and apply.

Thanks,
Matt


Version-Release number of selected component (if applicable):
kernel <= 2.6.9-rc3
Comment 1 Matt Domsch 2004-10-05 14:16:01 EDT
Created attachment 104792 [details]
linux-2.6.9-rc3-idefloppy-medium-not-present.patch
Comment 2 Matt Domsch 2004-10-21 10:34:34 EDT
This patch was just committed to Linus's 2.6 bitkeeper repo.
Comment 4 Alan Cox 2004-10-28 06:34:02 EDT
Linus accepted it for 2.6.10-rc1
Comment 10 Dave Jones 2004-11-15 22:43:08 EST
fixed in cvs
Comment 11 Amit Bhutani 2004-11-23 19:00:48 EST
Verified patch has been included in kernel 2.6.9-1.751_EL. Thanks. 

Closing.

Note You need to log in before you can comment on or make changes to this bug.